Package org.eclipse.lemminx.extensions.catalog

## Enum XMLCatalogErrorCode

- java.lang.Object
- - java.lang.Enum<XMLCatalogErrorCode>
  - - org.eclipse.lemminx.extensions.catalog.XMLCatalogErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLCatalogErrorCode>`, `IXMLErrorCode`

    public enum XMLCatalogErrorCode
    extends Enum<XMLCatalogErrorCode>
    implements IXMLErrorCode

XML Catalog error code.

### Enum Constant Summary

Enum Constants
`catalog_uri`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getCode()` Returns the XML error code.
`static XMLCatalogErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XMLCatalogErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### catalog_uri

    public static final XMLCatalogErrorCode catalog_uri

### Method Detail

#### values

    public static XMLCatalogErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XMLCatalogErrorCode c : XMLCatalogErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMLCatalogErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.